Subject: Re: linux-next: build failure after merge of the rdma tree

From: Changbin Du <[email-masked]>
Date: Mon, 10 Dec 2018 00:43:50 +0000

On Thu, Dec 06, 2018 at 09:58:15AM +1100, Stephen Rothwell wrote:
> Hi Guy,
> 
> On Wed, 5 Dec 2018 12:25:57 +0000 "Guy Levi(SW)" <[email-masked]> wrote:
> >
> > > 
> > > Huh. So apparently every compiler that tested this patch (0-day, mine,
> > > the submitters) optimized this call away because is_atomic_response()
> > > always returns 0: meaning mlx5_get_atomic_laddr is never callable and
> > > can be deleted entirely, including the call to mlx5_get_send_wqe.
> > > 
> > > Not sure what compiler setup will hit this, but it is clearly wrong
> > > code..  
> > 
> > Flag -o0  ?
> 
> No, but the kbuild tree contains a change that allows turning off of
> gcc's autoinlining and the CONFIG option guarding that gets turned on
> for allmodconfig builds among others.
>
Let me turn it off to pass allmodconfig build. it is a pure debug
option.

> Masahiro, should CONFIG_NO_AUTO_INLINE maybe need to be off unless
> explicitly enabled (like CONFIG_DEBUG_INFO and others)?
> 
> -- 
> Cheers,
> Stephen Rothwell

-- 
Thanks,
Changbin Du